]> git.lyx.org Git - lyx.git/blobdiff - autogen.sh
configure.ac
[lyx.git] / autogen.sh
index 09d553484ba91254cda5a7da8b8092168fb9b9ec..54f57ae3d2656cbc8129d07ffa24365d5103b5cd 100755 (executable)
 #!/bin/sh
 
-ACLOCAL="aclocal"
+ACLOCAL="aclocal -I m4 -I config"
 AUTOHEADER="autoheader"
-AUTOMAKE="automake -a -c --foreign"
+AUTOMAKE="automake --add-missing --force-missing --copy --foreign"
 AUTOCONF="autoconf"
-ACINCLUDE_FILES="lyxinclude.m4 libtool.m4 codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4 progtest.m4 xforms.m4 qt.m4 gtk--.m4 gnome--.m4 gnome.m4 aspell.m4 pspell.m4 cygwin.m4 pkg.m4"
+
+# Discover what version of automake we are using.
+automake_version=`$AUTOMAKE --version 2>/dev/null | head -n 1`
+
+test "$automake_version" != "" && {
+    echo "Using $automake_version"
+} || {
+    echo "LyX requires automake >= 1.14"
+    exit 1
+}
+
+case $automake_version in
+    *' '1.1[456]*)
+       ;;
+    *)
+       echo "This automake version is not supported by LyX."
+       echo "LyX only supports automake 1.14 through 1.16."
+       exit 1
+       ;;
+esac
 
 # Discover what version of autoconf we are using.
-autoversion=`$AUTOCONF --version | head -n 1`
+autoversion=`$AUTOCONF --version 2>/dev/null | head -n 1`
+
+test "$autoversion" != "" && {
+    echo "Using $autoversion"
+} || {
+    echo "LyX requires autoconf >= 2.65"
+    exit 1
+}
 
-echo "Using $autoversion"
 case $autoversion in
-    *2.5[2-9])
-       EXTRA_ACINCLUDE_FILES="lyxinclude25x.m4"
+    *' '2.6[5-9])
        ;;
     *)
        echo "This autoconf version is not supported by LyX."
-       echo "LyX only supports autoconf 2.5[2-9]."
-       exit
+       echo "LyX only supports autoconf 2.65-2.69."
+       exit 1
        ;;
 esac
 
-echo -n "Locating GNU m4... "
-GNUM4=
-for prog in $M4 gm4 gnum4 m4; do
-       # continue if $prog generates error (e.g. does not exist)
-       ( $prog --version ) < /dev/null > /dev/null 2>&1
-       if test $? -ne 0 ; then continue; fi
-
-       # /dev/null input prevents a hang of the script for some m4 compilers (e.g. on FreeBSD)
-       case `$prog --version < /dev/null 2>&1` in
-       *GNU*)  GNUM4=$prog
-               break ;;
-       esac
-done
-if test x$GNUM4 = x ; then
-       echo "not found."
-       exit
-else
-       echo `which $GNUM4`
-fi
-
-# Generate acinclude.m4
-echo -n "Generate acinclude.m4... "
-rm -f acinclude.m4
-(cd config ; cat ${ACINCLUDE_FILES} ${EXTRA_ACINCLUDE_FILES} >../acinclude.m4)
-echo "done."
+# Delete old cache directories.
+# automake will stop if their contents was created by an earlier version.
+rm -rf autom4te.cache
 
 # Generate the Makefiles and configure files
+echo "Building macros..."
 if ( $ACLOCAL --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building macros..."
-       for dir in . lib/reLyX ; do
-           echo "        $dir"
-           ( cd $dir ; $ACLOCAL )
-       done
-       echo "done."
+       $ACLOCAL
 else
        echo "aclocal not found -- aborting"
-       exit
+       exit 1
 fi
 
+echo "Building config header template..."
 if ( $AUTOHEADER --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building config header template..."
-       for dir in . ; do
-           echo "        $dir"
-           ( cd $dir ; $AUTOHEADER )
-       done
-       echo "done."
+       $AUTOHEADER
 else
        echo "autoheader not found -- aborting"
-       exit
+       exit 1
 fi
 
+echo "Building Makefile templates..."
 if ( $AUTOMAKE --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building Makefile templates..."
-       for dir in . lib/reLyX ; do
-           echo "        $dir"
-           ( cd $dir ; $AUTOMAKE )
-       done
-       echo "done."
+       $AUTOMAKE
 else
        echo "automake not found -- aborting"
-       exit
+       exit 1
 fi
 
+echo "Building configure..."
 if ( $AUTOCONF --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building configure..."
-       for dir in . lib/reLyX ; do
-           echo "       $dir"
-           ( cd $dir ; $AUTOCONF )
-       done
-       echo "done."
+       $AUTOCONF
 else
        echo "autoconf not found -- aborting"
-       exit
+       exit 1
 fi
 
-# Autogenerate lib/configure.m4.
-echo -n "Building lib/configure ... "
-rm -f lib/configure
-$GNUM4 lib/configure.m4 > lib/configure
-chmod a+x lib/configure
-echo "done."
+echo "Building po/POTFILES.in..."
+if ( make -s -f po/Rules-lyx srcdir=po top_srcdir=. po/POTFILES.in ); then
+    :
+else
+       echo "Building po/POTFILES.in failed -- aborting"
+       exit 1
+fi
 
 echo
-echo 'run "./configure ; make"'
+echo 'run "./configure && make"'
 echo